using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ch7_2
{
    class Point
    {
        private int x;
        private int y;
        private static int count = 0;
        //Default constructor
        public Point ()
        {
            count ++;
        }
        public Point(int xValue, int yValue)
        {
            X = xValue;
            Y = yValue;
            count ++;
        }
        ~Point()
        {
        }
        public int X
        {
            get
            {
                return x;
            }
            set
            {
                x = value;
            }
        }
        public int Y
        {
            get
            {
                return y;
            }
            set
            {
                y = value;
            }
        }
        public static int Count
        {
            get
            {
                return count;
            }
        }
    }
}
